CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
address.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <netdb.h>`
`#include <sys/socket.h>`
`#include "lo_types_internal.h"`
`#include "lo/lo.h"`
`#include "config.h"`

Go to the source code of this file.

## Functions
lo_address | lo_address_new_with_proto (int proto, const char *host, const char *port)
| Declare an OSC destination, given IP address and port number, specifying protocol.
lo_address | lo_address_new (const char *host, const char *port)
| Declare an OSC destination, given IP address and port number. Same as lo_address_new_with_proto(), but using UDP.
lo_address | lo_address_new_from_url (const char *url)
| Create a lo_address object from an OSC URL.
const char * | lo_address_get_hostname (lo_address a)
| Return the hostname of a lo_address object.
int | lo_address_get_protocol (lo_address a)
| Return the protocol of a lo_address object.
const char * | lo_address_get_port (lo_address a)
| Return the port/service name of a lo_address object.
static const char * | get_protocol_name (int proto)
char * | lo_address_get_url (lo_address a)
| Return a URL representing an OSC address.
void | lo_address_free (lo_address a)
| Free the memory used by the lo_address object.
int | lo_address_errno (lo_address a)
| Return the error number from the last failed lo_send() or lo_address_new() call.
const char * | lo_address_errstr (lo_address a)
| Return the error string from the last failed lo_send() or lo_address_new() call.
char * | lo_url_get_protocol (const char *url)
| Return the protocol portion of an OSC URL, eg. udp, tcp.
int | lo_url_get_protocol_id (const char *url)
| Return the protocol ID of an OSC URL.
char * | lo_url_get_hostname (const char *url)
| Return the hostname portion of an OSC URL.
char * | lo_url_get_port (const char *url)
| Return the port portion of an OSC URL.
char * | lo_url_get_path (const char *url)
| Return the path portion of an OSC URL.
void | lo_address_set_ttl (lo_address t, int ttl)
| Set the Time-to-Live value for a given target address.
int | lo_address_get_ttl (lo_address t)
| Get the Time-to-Live value for a given target address.

## Function Documentation

static const char* get_protocol_name | ( | int | proto | ) |
| static

Definition at line 145 of file address.c.

References LO_TCP, LO_UDP, and LO_UNIX.

Referenced by lo_address_get_url().